DiscreteFilesClassLoader.ClassSourceMap (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit.bsh.classpath

## Class DiscreteFilesClassLoader.ClassSourceMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.gjt.sp.jedit.bsh.classpath.DiscreteFilesClassLoader.ClassSourceMap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map
  Enclosing class:
    DiscreteFilesClassLoader

      public static class DiscreteFilesClassLoader.ClassSourceMap
      extends java.util.HashMap

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassSourceMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BshClassPath.ClassSource` | `get(java.lang.String name)`
    `void` | `put(java.lang.String name, BshClassPath.ClassSource source)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ClassSourceMap

          public ClassSourceMap()

  - ### Method Detail

    - #### put

          public void put(java.lang.String name,
                          BshClassPath.ClassSource source)

    - #### get

          public BshClassPath.ClassSource get(java.lang.String name)